import { AfterViewInit, ElementRef, EventEmitter, OnChanges, SimpleChanges } from '@angular/core';
import { AbstractControl } from '@angular/forms';
import * as i0 from "@angular/core";
export declare class FormControlComponent implements OnChanges, AfterViewInit {
    private el;
    formControlDirective?: AbstractControl;
    id: string;
    icon?: string;
    actionIcon?: string;
    showClear: boolean;
    formModelInput?: AbstractControl;
    autofocus: boolean;
    pending: boolean;
    required: boolean;
    readonly: boolean;
    get empty(): boolean;
    get invalid(): boolean;
    get disabled(): boolean;
    actionClicked: EventEmitter<Event>;
    actionKeydown: EventEmitter<KeyboardEvent>;
    private _formModel?;
    constructor(el: ElementRef);
    ngOnChanges(changes: SimpleChanges): void;
    ngAfterViewInit(): void;
    onClick(): void;
    focus(): void;
    clear(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<FormControlComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FormControlComponent, "ec-form-control", never, { "id": { "alias": "id"; "required": false; }; "icon": { "alias": "icon"; "required": false; }; "actionIcon": { "alias": "actionIcon"; "required": false; }; "showClear": { "alias": "showClear"; "required": false; }; "formModelInput": { "alias": "formModel"; "required": false; }; "autofocus": { "alias": "autofocus"; "required": false; }; "pending": { "alias": "pending"; "required": false; }; "required": { "alias": "required"; "required": false; }; "readonly": { "alias": "readonly"; "required": false; }; }, { "actionClicked": "actionClicked"; "actionKeydown": "actionKeydown"; }, ["formControlDirective"], ["*"], false, never>;
}
